This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 786184

Summary: Remove gwt-log logging mechanism and replace with standard GWT logging
Product: [Other] RHQ Project Reporter: Mike Thompson <mithomps>
Component: Core UIAssignee: Mike Thompson <mithomps>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: low    
Version: 4.2CC: ccrouch, hrupp, mithomps
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:18:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 735475    
Bug Blocks: 782579    

Description Mike Thompson 2012-01-31 11:53:42 EST
GWT 2.x has rolled in much of the logging functionality into the core framework. Prior to GWT 2.x there was no other logging framework, however, the later versions of GWT have incorporated almost all the functionality of gwt-log.



gwt-log: http://code.google.com/p/gwt-log/
GWT Logging: http://code.google.com/webtoolkit/doc/latest/DevGuideLogging.html
Comment 1 Mike Thompson 2012-02-03 11:09:29 EST
I have fixed the api compatiblity issues by adding an adapter (Log) that makes the GWT logging (jdk logging) appear api compatible with  gwt-log (log4j style) logging.

This is one approach, I'm sure there are others. Or you could just use native jdk  logging outright.

1) instantiating a logger
Logger logger = Logger.getInstance(""); // put in whatever category

2) log your message with new and different levels
logger.fine("my log message");



A new option with jdk logging is the ability to CONFIG loggging, which can be useful in itself.
Comment 2 Mike Thompson 2012-02-20 10:26:13 EST
Although, you could look at the javascript console and server log files to verify that we are still getting output in both places.

Commit: 1bcc7b0
Comment 3 Heiko W. Rupp 2013-09-01 06:18:13 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.